Installed MHVTL version 1.5.4 and error meesages produced

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

Installed MHVTL version 1.5.4 and error meesages produced

Calvin Edgar
Installed MHVTL 1.5.4 version and executed the
/etc/init.d/mhvtl start

The following errors were  produced:
 vtltape: symbol lookup error: vtltape: undefined symbol: update_vpd_80
vtllibrary: symbol lookup error: vtllibrary: undefined symbol: update_vpd_80
Reply | Threaded
Open this post in threaded view
|

Re: Installed MHVTL version 1.5.4 and error meesages produced

Mark Harvey
Administrator
Was this part of an upgrade from an earlier version?

Perhaps there are old versions of libvtlscsi.so and/or libvtlcart.so being picked up instead of the latest set ?

Can you provide output of

# ldd /usr/bin/vtltape 
 ldd /usr/bin/vtllibrary

Sent from my autocorrecting iPhone

On 15 Feb 2017, at 06:48, Calvin Edgar [via mhVTL - A Linux Virtual Tape Library] <[hidden email]> wrote:

Installed MHVTL 1.5.4 version and executed the
/etc/init.d/mhvtl start

The following errors were  produced:
 vtltape: symbol lookup error: vtltape: undefined symbol: update_vpd_80
vtllibrary: symbol lookup error: vtllibrary: undefined symbol: update_vpd_80



To start a new topic under mhVTL - A Linux Virtual Tape Library, email [hidden email]
To unsubscribe from mhVTL - A Linux Virtual Tape Library, click here.
NAML
Regards from Australia
Mark Harvey
Reply | Threaded
Open this post in threaded view
|

Re: Installed MHVTL version 1.5.4 and error meesages produced

Calvin Edgar
Hi Mark,

We were able to get the new version 1.5.4 to work. When It was compiled  using
the make with the argument  make LIBDIR=/usr/lib64 that was causing the errors.  Once that was removed the 1.5.4 version is working now.

Thanks,
Calvin
Reply | Threaded
Open this post in threaded view
|

Re: Installed MHVTL version 1.5.4 and error meesages produced

rohr22
Hi, Mark. I helped Calvin, a colleague, with this issue. Previously we had built and installed mhvtl with the LIBDIR=/usr/lib64 make flag. I think we may have once built and installed it without the LIBDIR flag. Thus, we had some vtl so files under /usr/lib and some under /usr/lib64. This caused some mismatch issues when the latest code was installed. To resolve the problem, we deleted the libvtlcart.so and libvtlscsi.so files from /usr/lib64.

The latest mhvtl code was built and installed without using the LIBDIR flag.